## ros-humble-diagnostic-aggregator 4.0.0

=== debian/changelog ===
ros-humble-diagnostic-aggregator (4.0.0-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Austin Hendrix <namniart@gmail.com>  Tue, 27 Aug 2024 08:56:49 -0000

ros-humble-diagnostic-aggregator (3.2.1-1bookworm) bookworm; urgency=high

  * Add add_analyzer functionality (#329 <https://github.com/ros/diagnostics/issues/329>) (#359 <https://github.com/ros/diagnostics/issues/359>)
  * Aggregator: publish diagnostics_toplevel_state immediately on every degradation (#324 <https://github.com/ros/diagnostics/issues/324>) (#355 <https://github.com/ros/diagnostics/issues/355>)
  * Contributors: Christian Henkel

 -- Austin Hendrix <namniart@gmail.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.2.0-1bookworm) bookworm; urgency=high

  * Avoid rolling up an ERROR state when empty GenericAnalyzer blocks are marked discard_stale, or when all of their items are STALE. (#315 <https://github.com/ros/diagnostics/issues/315>)
  * formatting fixes from PR324 (#327 <https://github.com/ros/diagnostics/issues/327>)
  * Debugging instability introduced by #317 <https://github.com/ros/diagnostics/issues/317>  (#323 <https://github.com/ros/diagnostics/issues/323>)
  * feat: publish top level msg when error is received (#317 <https://github.com/ros/diagnostics/issues/317>)
  * Empty default aggregator base_path (#305 <https://github.com/ros/diagnostics/issues/305>)
  * using defined state for stale (#298 <https://github.com/ros/diagnostics/issues/298>)
  * Contributors: Andrew Symington, Christian Henkel, outrider-jhulas

 -- Austin Hendrix <namniart@gmail.com>  Thu, 21 Mar 2024 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.1.2-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Mar 2023 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.1.1-1bookworm) bookworm; urgency=high

  * exporting dependency on pluginlib fixes #293 <https://github.com/ros/diagnostics/issues/293> (#294 <https://github.com/ros/diagnostics/issues/294>)
  * Secretly supporting galactic (#295 <https://github.com/ros/diagnostics/issues/295>)
  * Linting additional package (#268 <https://github.com/ros/diagnostics/issues/268>)
  * Fix code-analyser bug
  * Maintainer update
  * Contributors: Austin, Christian Henkel, Ralph Lange, Tim Clephas

 -- Austin Hendrix <namniart@gmail.com>  Wed, 15 Mar 2023 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.1.0-1bookworm) bookworm; urgency=high

  * Merge of foxy and humble history into rolling for future maintenance from one branch only.
  * Adding READMEs to the repo (#270 <https://github.com/ros/diagnostics/issues/270>)
  * License fixes (#263 <https://github.com/ros/diagnostics/issues/263>)
  * Fix/cleanup ros1 (#257 <https://github.com/ros/diagnostics/issues/257>)
  * Use regex to search AnalyzerGroup
  * Contributors: Alberto Soragna, Austin, Christian Henkel, Keisuke Shima, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 25 Jan 2023 16:00:00 -0000

ros-humble-diagnostic-aggregator (3.0.0-1bookworm) bookworm; urgency=high

  * Use node clock for diagnostic_aggregator and diagnostic_updater (#210 <https://github.com/ros/diagnostics/issues/210>)
  * Contributors: Kenji Miyake

 -- Austin Hendrix <namniart@gmail.com>  Thu, 09 Jun 2022 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.3-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.2-1bookworm) bookworm; urgency=high

  * Adapt new launch file syntax. (#190 <https://github.com/ros/diagnostics/issues/190>)
  * Introduce history depth parameter for subscription. (#168 <https://github.com/ros/diagnostics/issues/168>)
  * Contributors: Karsten Knese, Ryohsuke Mitsudome

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Mar 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.1-1bookworm) bookworm; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#180 <https://github.com/ros/diagnostics/issues/180>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.1.0-1bookworm) bookworm; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Fix installation of diagnostic aggregator example. (#159 <https://github.com/ros/diagnostics/issues/159>)
  * Restore alphabetical order. (#148 <https://github.com/ros/diagnostics/issues/148>)
  * Aggregator bugfix, tests, and nicer example. (#147 <https://github.com/ros/diagnostics/issues/147>)
  * Contributors: Arne Nordmann, Georg Bartels, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Mon, 11 Jan 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.9-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 11 Nov 2022 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.8-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.7-1bookworm) bookworm; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Mar 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.6-1bookworm) bookworm; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#179 <https://github.com/ros/diagnostics/issues/179>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.5-1bookworm) bookworm; urgency=high

  * Set aggregator subscription history depth to 1000. (#174 <https://github.com/ros/diagnostics/issues/174>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Tue, 05 Jan 2021 16:00:00 -0000

ros-humble-diagnostic-aggregator (2.0.4-1bookworm) bookworm; urgency=high


